define i32 @add_of_mul_and_sub(i32 %a, i32 %b) {
  %mul = mul i32 %a, 0
  %sub = sub i32 %a, 0
  %add = add i32 %mul, %sub
  ret i32 %add
}

define i32 @add_of_sub_and_mul(i32 %a, i32 %b) {
  %mul = mul i32 %a, 0
  %sub = sub i32 %a, 0
  %add = add i32 %sub, %mul
  ret i32 %add
}